Subject: Bug#1622: Cannot resume existing session on windows

From: Adrian Novella <[email-masked]>
Date: Mon, 15 Jan 2024 20:45:25 +0100

Package: x2Go ¿client?
Version: 4.1.2.2

Hi, I'm connecting to a x2go server (Arch Linux with xfce), tought a Windows 11 machine.
The first time all goes well, but if I close x2go client and try to resume the session client don't respond.

I cannot find logs but in console appears:

`/cygdrive/C/Users/adrian/.x2go/etc/sshd_config line 3: Deprecated option UsePrivilegeSeparation`

but that also appears the first time and everything works.

On .x2go folder appears directories with the session name, inside them a session file shows:

```
Loop: WARNING! Disabling NX delta compression.
Loop: WARNING! Disabling use of NX persistent cache.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_32'. Assuming agent session.
Auth: WARNING! Failed to read data from the X auth command.
Auth: WARNING! Generating a fake cookie for X authentication.
Loop: WARNING! Could not retrieve the X server authentication cookie.
Loop: PANIC! The remote NX proxy closed the connection.
Loop: PANIC! Failure negotiating the session in stage '7'.
Loop: PANIC! Wrong version or invalid session authentication cookie.
```

seeion is configured like this:

```
[20240113200129435000]
user = adrian
defsndport = 0
sshproxyautologin = 1
forwardsshagent = 0
useiconv = 0
iconvfrom = UTF-8
height = 600
uniquehostkeyaliases = 0
directrdp = 0
sshproxysameuser = 0
sshproxysamepass = 0
quality = 9
maxdim = 1
fullscreen = 0
sessiontitle =
layout = us
useexports = 0
sshproxytype = SSH
width = 800
speed = 4
xdmcpserver = localhost
sshproxyuser =
rdpoptions = -u X2GO_USER -p X2GO_PASSWORD
soundsystem = pulse
clipboard = both
autostart = 1
print = 0
type = pc105/us
setsessiontitle = 0
sndport = 4713
usesshproxy = 0
usemimebox = 0
xinerama = 0
usekbd = 0
variant =
autologin = 0
sshproxykeyfile = C:\Users\adrian\.ssh\id_ed25519
sshproxyport = 22
applications = TERMINAL, WWWBROWSER, MAILCLIENT, OFFICE
host = ***
display = 1
mimeboxextensions =
multidisp = 0
key = C:\Users\adrian\.ssh\id_ed25519
directrdpsettings =
fstunnel = 1
icon = :icons/128x128/x2gosession.png
sound = 0
autoconnect = 0
rootless = 0
mimeboxaction = OPEN
name = SRV
rdpport = 3389
iconvto = UTF-8
rdpserver =
restoreexports = 0
soundtunnel = 1
sshproxyhost = proxyhost.mydomain
rdpclient = rdesktop
command = XFCE
startsoundsystem = 0
published = 0
sshport = ***
export =
setdpi = 0
krblogin = 0
dpi = 96
pack = 16m-jpeg

```

If you need more info please reply to this email.